import React from 'react';
import randomstring from 'randomstring';
import classnames from 'classnames';

import styles from './styles.scss';

class Ad extends React.PureComponent {
  constructor(props) {
    super(props);

    this.state = {
      id: null,
    };

    this.mountAd = this.mountAd.bind(this);
    this.waitForAdScript = this.waitForAdScript.bind(this);
  }

  mountAd() {
    if (window.generateCustomAds) {
      window.generateCustomAds(`#${this.state.id}`, this.props.type);
      return true;
    } else {
      return false;
    }
  }

  waitForAdScript() {
    this.waiting = setInterval(() => {
      const success = this.mountAd();
      if (success) {
        clearInterval(this.waiting);
      }
    }, 2000);
  }

  componentDidMount() {
    const idNum = randomstring.generate({
      length: 12,
      charset: 'alphabetic',
    });

    this.setState({ id: `ad-${idNum}` }, () => {
      const success = this.mountAd();
      if (!success) {
        this.waitForAdScript();
      }
    });
  }

  render() {
    return (
      <div className={classnames('ad-container', styles.styles)}>
        <div className='content-group ad screenshot-remove'>
          <p>Advertisement</p>
          <div className='ad-slot flex horizontal' id={this.state.id} />
        </div>
      </div>
    );
  }
}

Ad.defaultProps = {
  type: 'cube',
};

export default Ad;
