import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Share from './index';

class App extends React.Component {
  state = {
    subject: 'My Email Subject',
    tweet: 'My Tweet',
    onFb: () => console.log('fb'),
    onTwitter: () => console.log('twitter'),
    onMail: () => console.log('mail'),
  }

  render() {
    return (
      <Page title='Share'>
        <Share {...this.state} />
        <CodeBlock
          value={`import { Share } from '@politico/interactive-style';

const subject = "My Email Subject"
const tweet = "My Tweet"

<Share subject={subject} shareTweet={tweet}/>

/* In a Non-Reactive Environment */
import { activateSocialButtons } from '@politico/interactive-style/dist/Share';

activateSocialButtons({subject, tweet});
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
